!---------------------------------------------------------------------
!     Copyright (C) GFD Dennou Club, 2004. All rights reserved.
!---------------------------------------------------------------------
                                                                 !=begin
!= Subroutine CloseDataFile
!
!   * Developer: SUGIYAMA Ko-ichiro (sugiyama@gfd-dennou.org)
!   * Version: $Id: closedatafile.f90,v 1.2.4.1 2006/01/13 06:55:04 sugiyama Exp $ 
!   * Tag Name: $Name:  $
!   * Change History: 
!
!== Overview 
!
!出力ファイルのクローズ. 
!
!== Error Handling
!
!== Known Bugs
!
!== Note
!
!== Future Plans
!
                                                                 !=end

subroutine CloseDataFile
                                                                 !=begin
  !== Dependency
  use gt4_history
  use dc_trace, only: BeginSub, EndSub
                                                                 !=end  
  !== 暗黙の型宣言禁止
  implicit none

  call BeginSub("CloseDataFile", &
       &         fmt="%c",            &
       &         c1="Close output file.")

  !=== ファイルを閉じる
  call HistoryClose
  
  call EndSub("CloseDataFile")
  
end subroutine CloseDataFile
